#!usr/env/bin/ python
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns

def variation_plot(df):
    means = df.mean()
    stds = df.std()

    assert len(means.index) == len(stds.index)

    ax = sns.lineplot(stds.index, stds.values, label="std")
    ax = sns.lineplot(means.index, means.values, label="mean")
    ax.set_xticklabels(df.columns,rotation=45, horizontalalignment='right')
    ax.set_title("STD & mean variation with features")
    ax.legend()
    pass


if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    variation_plot(df)


