#! usr/env/bin/ python
import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

def corr_wt_target(df, target, columns):
    absCorr = []
    for col in columns:
        absCorr.append(abs(df[target].corr(df[col])))

    ax = sns.lineplot(columns,absCorr)
    ax.set_xticklabels(df.columns,rotation=45, horizontalalignment='right')
    ax.set_title("Absolute correlation of features with the target")

if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    #df.head()
    corr_wt_target(df, 'Price', ['Distance','Postcode','Bathroom', 'Car'])
# %%
