#! usr/env/bin/ python
import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

def pair_wise_scatter_plot(df, columns):

    pp = sns.pairplot(df[columns], size=1.8, aspect=1.8,
        plot_kws=dict(edgecolor='k', linewidth=0.5),
        diag_kind='kde', diag_kws=dict(shade=True))
    fig = pp.fig
    fig.subplots_adjust(top=0.93, wspace=0.3)
    t = fig.suptitle('pair-wise correlation scatter plot', fontsize=14)


if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    pair_wise_scatter_plot(df,['Suburb', 'Address', 'Rooms', 'Type', 'Price', 'Method', 'SellerG',
       'Date', 'Distance', 'Postcode', 'Bedroom2', 'Bathroom', 'Car'])
