#! usr/env/bin/ python

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns

def plot_perc_missing(df):
    tol = df.shape[0]
    vals = df.isnull().sum()
    perc_vals = vals/tol

    ax = sns.lineplot(df.columns,perc_vals)
    ax.set_xticklabels(df.columns,rotation=45, horizontalalignment='right')
    ax.set_title("missing values percentage variation with features")


if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    plot_perc_missing(df)

