from sklearn.datasets import make_classification
from sklearn.linear_model import LogisticRegression
from sklearn.model_selection import train_test_split
from sklearn.metrics import precision_recall_curve
from sklearn.metrics import f1_score
from sklearn.metrics import auc

import matplotlib.pyplot as plt

def PR_curve(y_true, y_pred, y_pred_prob):
    lr_probs = y_pred_prob[:, 1]
    lr_precision, lr_recall, _ = precision_recall_curve(y_true, lr_probs)
    lr_f1, lr_auc = f1_score(y_true, y_pred), auc(lr_recall, lr_precision)

    print('Logistic: f1=%.3f auc=%.3f' % (lr_f1, lr_auc))

    midd = len(y_true[y_true==1])/len(y_true)

    plt.plot([0,1], [midd, midd], linestyle='--')
    plt.plot(lr_recall, lr_precision, marker='.')
    plt.xlabel("Recall")
    plt.ylabel("Precision")
    plt.title("Precision-Recall curve")
    plt.show()