# %%
#from .struct.visualization.corr_heatmap import corr_heatmap

import pandas as pd
import matplotlib as mlt
import seaborn as sns

# %%

gen_train_df = pd.read_csv('../../readonly/final_project_data/train_feed_block_cnt.csv')

# %%
def corr_heatmap(data, columns=[]):
    if columns == []:
        corr = data.corr()
    else:
        data = data.loc[:,columns]
        corr = data.corr()

    ax = sns.heatmap(
        corr,
        vmin=-1,
        vmax=1,
        center=0,
        cmap=sns.diverging_palette(20, 220, n=200),
        square=True
    )
    ax.set_xticklabels(
        ax.get_xticklabels(),
        rotation=45,
        horizontalalignment='right'
    )
# %%

corr_heatmap(gen_train_df, ['shop_id', 'item_id', 'item_cnt_block'])

# %%
