#!/usr/env/bin/ python
import pandas as pd 
import matplotlib as mlt
import seaborn as sns


def corr_heatmap(data, columns=[]):
    if columns == []:
        corr = data.corr()
    else:
        data = data.loc[:,columns]
        corr = data.corr()

    ax = sns.heatmap(
        corr,
        vmin=-1,
        vmax=1,
        center=0,
        cmap=sns.diverging_palette(20, 220, n=200),
        square=True
    )
    ax.set_xticklabels(
        ax.get_xticklabels(),
        rotation=45,
        horizontalalignment='right'
    )
    ax.set_title("heatmap for covariance between features")
