#! usr/env/bin/ python
import random
import pandas as pd
from sklearn.preprocessing import StandardScaler
from pandas.plotting import parallel_coordinates

def para_coor_plot(df, columns, target):
    df = df.copy()
    sub_df = df[columns]
    ss = StandardScaler()

    scale_df = ss.fit_transform(sub_df)
    scaled_df = pd.DataFrame(scale_df, columns=columns)
    fin_df = pd.concat([scaled_df, df[target]], axis=1)

    classes = len(df[target].unique())
    r = lambda: random.randint(0,255)
    colors = ['#%02X%02X%02X' % (r(),r(),r()) for i in range(classes)]


    pc = parallel_coordinates(fin_df, target, color=colors)

if __name__ == "__main__":
    df = pd.read_csv('../../readonly/melb_data.csv')
    #df.head()
    para_coor_plot(df, ['Distance','Postcode','Bathroom', 'Car'],'Price')

